Permalink
Browse files

Flow v0.76.0

Summary: No new errors in this version. Just removed a bunch of unused suppressions

Reviewed By: TheSavior

Differential Revision: D8754160

fbshipit-source-id: 2f02240b6d65edecba5d9ed603c7703462547a7f
  • Loading branch information...
gabelevi authored and facebook-github-bot committed Jul 9, 2018
1 parent fc94f95 commit eac34e30215d88b5fe9056f9678275b894032636
View
@@ -97,4 +97,4 @@ untyped-import
untyped-type-import
[version]
^0.75.0
^0.76.0
@@ -394,7 +394,7 @@ export type Props = $ReadOnly<{|
* - `false`, deprecated, use 'never' instead
* - `true`, deprecated, use 'always' instead
*/
// $FlowFixMe Issues found when typing ScrollView
// $FlowFixMe(site=react_native_fb) Issues found when typing ScrollView
keyboardShouldPersistTaps?: ?('always' | 'never' | 'handled' | false | true),
/**
* Called when the momentum scroll starts (scroll which occurs as the ScrollView glides to a stop).
@@ -13,9 +13,6 @@ const Systrace = require('Systrace');
const infoLog = require('infoLog');
const performanceNow =
/* $FlowFixMe(>=0.54.0 site=react_native_oss) This comment suppresses an
* error found when Flow v0.54 was deployed. To see the error delete this
* comment and run Flow. */
global.nativeQPLTimestamp ||
global.nativePerformanceNow ||
require('fbjs/lib/performanceNow');
@@ -80,7 +80,7 @@ async function runServer(args: Args, config: ConfigT) {
//
// For more info: https://github.com/nodejs/node/issues/13391
//
// $FlowFixMe
// $FlowFixMe (site=react_native_fb)
serverInstance.keepAliveTimeout = 30000;
}
@@ -64,4 +64,4 @@ suppress_comment=\\(.\\|\n\\)*\\$FlowFixedInNextDeploy
suppress_comment=\\(.\\|\n\\)*\\$FlowExpectedError
[version]
^0.75.0
^0.76.0
View
@@ -212,7 +212,7 @@
"eslint-plugin-prettier": "2.6.0",
"eslint-plugin-react": "7.8.2",
"eslint-plugin-react-native": "^3.2.1",
"flow-bin": "^0.75.0",
"flow-bin": "^0.76.0",
"jest": "23.2.0",
"jest-junit": "5.1.0",
"prettier": "1.13.6",

0 comments on commit eac34e3

Please sign in to comment.